#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	appres
Version		:	1.0.6
Release		:	16.2.0.rel%{?dist}
Summary		:	X11 utility to print application resources

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.x.org/pub/individual/app

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	make

BuildRequires	:	xorg-util-macros
BuildRequires	:	xorg-libXt
BuildRequires	:	xorgproto
#-----------------------------------------------------------------------------
%description
The appres program prints the resources seen by
an application (or sub-hierarchy of an application)
with the specified class and instance names.
It can be used to determine which resources a
particular program will load.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vi
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-silent-rules				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
